<?php
/**
  \licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  \package osCSS-2 <www http://www.oscss.org>
  \version 2.1.0
  \date  03/12/10, 10:27
  \author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  \encode UTF-8
  \file 
  \dir admin/includes/
  \brief is close core pages
*/



  $navigation->add_current_page();
  //! close session (store variables)
  tep_session_close();

  //! cache unique des fichiers de langue
  $oscss->cache_lang(false);

  //! stats tps d'execution
  if (_cst_bool('DISPLAY_PAGE_PARSE_TIME')) {
    $time_start = explode(' ', PAGE_PARSE_START_TIME);
    $time_end = explode(' ', microtime());
    $parse_time = number_format(($time_end[1] + $time_end[0] - ($time_start[1] + $time_start[0])), 3);
    $e=get_required_files();
    $f=get_defined_constants();
    $i=0;
    while ($r=each($f)){
      $i++;
      if($r['key']=='PAGE_PARSE_START_TIME'){
        $c=array_slice($f,$i);
        continue;
      }
    }
    echo "\t\t\t".'<div><p class="conr" style="text-align:center">[ Generated in: ' . $parse_time . 's -- fichiers inclus: '.count($e).' -- constantes osCSS:'.count($c).']</p></div>'."\n";
  }

  /**
   * \brief garbage error collector as true
   *  cf application_top.php
   */
  if(OSCSS_GARBAGE_ERROR==true) {
	// voir les collecteur actif
	  // set_error_handler(array($errorHandler,'error'));
	  // foreach ($errorHandler as $writer) {
	  // 	echo get_class($writer); // facile tout de même non?
	  // }
	// voir les erreur php
	  if(OSCSS_DEBUG==true && $mock->is_count()) echo $mock->show();
	
	  //! close Handler
	  osC_ErrorHandler::stop();
  }
?>
<script type="text/javascript"><!--
/**  Init page  event js */
 post_load_page()
// --></script>
</body>
</html>